import { Type } from '@angular/core';
import { Widget } from './widget';
import { LanguageWidgetValue } from './widget-value/language-widget-value';
import { PropertyPanelFieldMetadata } from '../common/property-panel-field';
import { LanguageComponent } from '../../../sculptor-lib/widgets/language/language.component';
declare type LanguageValue = Type<Array<LanguageWidgetValue>>;
export declare class Language extends Widget {
    component: Type<LanguageComponent>;
    value: LanguageValue;
    defaultValue: string;
    helpText: string;
    languageSource: Array<LanguageWidgetValue>;
    langDefault: string;
    dependents: [];
    multiSelect: boolean;
    repopulateValue: boolean;
    validityDependents: [];
    markup: string;
    name: string;
    constructor(field?: Language);
    /**
     * get widget value
     *
     * @returns
     */
    getWidgetValue(): any;
    /**
     * Set widget Value
     *
     * @param value
     */
    setWidgetValue(value: any): void;
    /**
     * this will return serialize of widget
     */
    getWidgetSerializedValue(): string;
    newLanguage(): void;
    /**function to create Date-Time object with existing values
    *
    *@param field
    *
    */
    language(field: any): void;
    static getPropertyPanelFieldMetadata(target: any, key: string): PropertyPanelFieldMetadata;
    getPropertyPanelFieldUIProperties(): any;
}
export {};
